org.keycloak.models.jpa.entities

## Class AuthenticationProviderEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.AuthenticationProviderEntity

-     @Entity
      public class AuthenticationProviderEntity
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationProviderEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getConfig()`
    `String` | `getId()`
    `int` | `getPriority()`
    `String` | `getProviderName()`
    `boolean` | `isPasswordUpdateSupported()`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setId(String id)`
    `void` | `setPasswordUpdateSupported(boolean passwordUpdateSupported)`
    `void` | `setPriority(int priority)`
    `void` | `setProviderName(String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

  - ### Constructor Detail

    - #### AuthenticationProviderEntity

          public AuthenticationProviderEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getProviderName

          public String getProviderName()

    - #### setProviderName

          public void setProviderName(String providerName)

    - #### isPasswordUpdateSupported

          public boolean isPasswordUpdateSupported()

    - #### setPasswordUpdateSupported

          public void setPasswordUpdateSupported(boolean passwordUpdateSupported)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

Copyright © 2014. All Rights Reserved.